<?php
@session_start();

if ( ( $_SESSION[ "benutzer_anmeldename" ] == "superuser" ) and ( $_SESSION[ "mandant_name" ] == "Standard" ) )
{
	header( "Location: su_uebersicht.php" );
	exit;
}

include( "su_web.php" );



//$benutzer_anmeldename = $_SESSION[ "benutzer_anmeldename" ];

if ( strlen( $_SESSION[ "benutzer_anmeldename" ] ) > 0 )
{
	////////////////////////////////////////
	// Javascript-Dateien
	$_SESSION[ "javascript_dateien" ] = "jquery.dataTables.min.js|jquery.fancybox.pack.js?v=2.1.5|jstree.min.js";
	////////////////////////////////////////
	
	////////////////////////////////////////
	// Javascript-Startup
	$_SESSION[ "javascript_startup" ] = '';
	////////////////////////////////////////
	
	////////////////////////////////////////
	// CSS-Dateien
	$_SESSION[ "css_dateien" ] = "jquery.fancybox.css?v=2.1.5|style.jstree.css";
	////////////////////////////////////////
	

	$_SESSION[ "title" ] = "Galerien";
	include( 'ssi_header.php' );
	$_SESSION[ "title" ] = "";
	
	////////////////////////////////////////
	// Javascript-Dateien
	$_SESSION[ "javascript_dateien" ] = "";
	////////////////////////////////////////
	
	////////////////////////////////////////
	// Javascript-Startup
	$_SESSION[ "javascript_startup" ] = "";
	////////////////////////////////////////
	
	////////////////////////////////////////
	// CSS-Dateien
	$_SESSION[ "css_dateien" ] = "";
	////////////////////////////////////////
	
	//onclick=\"$( '#ergebnis_3' ).load('su_web.php?cmd=benutzer_anlegen', function() { $( '.date-pick' ).datepicker({ showAnim: 'clip', buttonImageOnly: true,  showOn: 'both', buttonImage: 'img/kalender.png', showWeek: true } ); } );
	
	
	
	
	$us_rech_imp_button = liefere_benutzerspezifische_einstellung( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ], "us_rech_imp_button" );
	
	if ( $us_rech_imp_button == "ja" )
	{
		echo "<div style='margin-left:200px; padding-bottom:30px;  min-height:550px;'  >";
		include( "us_menu.php" );
	}
	else
	{
		echo "<div style='margin-left:20px; padding-bottom:30px;  min-height:550px;'  >";
	}
	/*
	
	
	
	
	*/
	$zstr = liefere_zufaelligen_string( );
	
	//echo "<h2>Galerien</h2>";
	
	
	
	//echo "<h4>Galerieliste</h4>";
	//<table><tr>";
	
	$ergebnis_1 = liefere_wertemenge_elemente( $_SESSION[ "mandant_name" ], "galerien" );
	
	if ( $ergebnis_1[ 0 ] > 0 )
	{
		$ergebnis_2 = welche_dokumentarten_darf_benutzer_lesen( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ] );
		
		$i = 0;
		
		foreach ( $ergebnis_1[ 2 ] as $galerie )
		{
			
			foreach ( $ergebnis_2[ 1 ] as $dokart )
			{
				
				if ( $dokart == $galerie[ "alpha_02" ] )
				{
					$i++;
					
					
					
					$style = "width:180px; height:40px;";
					
					/*$k = strlen( $galerie[ "alpha_01" ] );
			
					if ( $k <= 8 )
					{
						$style = "width:110px; height:40px;";
					}
					elseif ( $k <= 12 )
					{
						$style = "width:140px; height:40px;";
					}
					else
					{
						$style = "width:280px; height:40px;";
					}
					*/
					
					$galerie_als_id = str_replace( " ", "_", $galerie[ "alpha_01" ] );
					
					$galerie_inhalt = _web_liefere_galerie( $galerie[ "alpha_01" ], 1, "", "", "", "", "" );
					
					$inner_divs = '<div name="'.$galerie_als_id.'_ergebnis_1" id="'.$galerie_als_id.'_ergebnis_1" style=" margin-top:10px;" >'.$galerie_inhalt.'</div><div name="'.$galerie_als_id.'_ergebnis_2" id="'.$galerie_als_id.'_ergebnis_2" style=" margin-top:10px;" ></div><div name="'.$galerie_als_id.'_ergebnis_3" id="'.$galerie_als_id.'_ergebnis_3" style=" margin-top:10px;" ></div><div name="'.$galerie_als_id.'_ergebnis_4" id="'.$galerie_als_id.'_ergebnis_4" style=" margin-top:10px;" ></div><div name="'.$galerie_als_id.'_ergebnis_5" id="'.$galerie_als_id.'_ergebnis_5" style=" margin-top:10px;" ></div><div name="'.$galerie_als_id.'_ergebnis_6" id="'.$galerie_als_id.'_ergebnis_6" style=" margin-top:10px;" ></div>';
					
					$div_sammlung = $div_sammlung."<div id='".$galerie_als_id."_".$i."'>".$inner_divs."</div>";
					$tab_sammlung = $tab_sammlung.'<li><a id="li_'.$i.'" href="#'.$galerie_als_id."_".$i.'" >'.$galerie[ "alpha_01" ].'</a></li>';
					
					
					
					//echo "<td><input type='button' value='".$galerie[ "alpha_01" ]."' onclick='$( \"#ergebnis_2\" ).html(\"\"); $( \"#ergebnis_3\" ).html(\"\"); $( \"#ergebnis_4\" ).html(\"\"); $( \"#ergebnis_5\" ).html(\"\"); $( \"#ergebnis_1\" ).load( \"su_web.php?cmd=liefere_galerie&alpha_01=".urlencode( $galerie[ "alpha_01" ] )."&alpha_02=1\" ); ' style='".$style."' /></td>";
					//$( \"#ergebnis_2\" ).hide();$( \"#ergebnis_3\" ).hide();$( \"#ergebnis_4\" ).hide();$( \"#ergebnis_5\" ).hide();
					
				}
			}
		}
		
		
		//echo "<p>Derzeit sind hier keine Ordner angelegt.</p>";
	}
	else
	{
		
	}
	//echo "</tr></table>";
	
	?>
	
	<div id="tabs">
	<ul>
	<?php
	echo $tab_sammlung;
	?>
	</ul>
	
	<?php echo $div_sammlung; ?>
	</div>
	<script>
		$(function() {
		$( "#tabs" ).tabs();
		});
	</script>
	
	<?php
	
	echo '<div name="ergebnis_1" id="ergebnis_1" style=" margin-top:10px;" ></div><div name="ergebnis_2" id="ergebnis_2" style=" margin-top:10px;" ></div><div name="ergebnis_3" id="ergebnis_3" style=" margin-top:10px;" ></div><div name="ergebnis_4" id="ergebnis_4" style=" margin-top:10px;" ></div><div name="ergebnis_5" id="ergebnis_5" style=" margin-top:10px;" ></div><div name="ergebnis_6" id="ergebnis_6" style=" margin-top:10px;" ></div>';
	echo '<div name="ergebnis_2" id="ergebnis_2" style=" margin-top:10px;" ></div>';
	echo '<div name="ergebnis_3" id="ergebnis_3" style=" margin-top:10px;" ></div>';
	echo '<div name="ergebnis_4" id="ergebnis_4" style=" margin-top:10px;" ></div>';
	echo '<div name="ergebnis_5" id="ergebnis_5" style=" margin-top:10px;" ></div>';
	echo '<div name="ergebnis_6" id="ergebnis_6" style=" margin-top:10px;" ></div>';
	echo '<div name="ergebnis_7" id="ergebnis_7" style=" margin-top:10px; min-height:500px;" ></div>';
	
	
	
	
	
	
	
	
	
	
	
	echo '</div>';
	
	
	echo "<p style='clear:both;' />";
	include( 'ssi_footer.php' );

}
else
{
	header("Location: index.php");
}
?>      